Answered By: Abigail Caraccio
Last Updated: Mar 13, 2019     Views: 318

The following browsers are not compatible with Walden University:

  • Internet Explorer

  • Edge

  • Safari

Google Chrome or Firefox are the preferred browsers with Walden University.

 

For more information on this topic, please contact Student Support at support@mail.waldenu.edu

More Information

Need more information? Ask us!

Or browse Quick Answers by Topic.